use crate::models::parameters::CommandRequest;
use crate::models::player::UserID;
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct RegisterParameters {
    pub token: String,
    pub new_user_id: UserID,
    pub username: String,
}

impl CommandRequest for RegisterParameters {
    fn token(&self) -> String {
        self.token.clone()
    }
}
